/* Reset */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  background-color: transparent;
  overflow: hidden;
  font-family: 'Roboto', sans-serif;
}

body, html {
    height: 100%;
    display: flex;
    background-color: #2B2D31;
    color: #F5F5F5;
    font-size: 16px;
}

h1, h2 {
    color: #ffffff;
    font-weight: 700;
    margin-bottom: 20px;
}

p {
    margin-bottom: 15px;
    line-height: 1.6;
}

.container {
    display: flex;
    width: 100vw;
    height: 100vh;
}

.sidebar {
    width: 15%;
    background-color: #232428;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 20px;
    border-right: 1px solid #2B2D31;
}

.sidebar img {
    max-width: 80%;
    height: auto;
}

.menu {
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    width: 100%;
    text-align: center;
    flex-grow: 1;
}

.menu a {
    padding: 10px;
    text-decoration: none;
    color: #f5f5f5;
    font-weight: bold;
    border-bottom: 1px solid #2B2D31;
}

.menu a:hover {
    background-color: #3D3E45;
}

.content {
    width: 85%;
    padding: 20px;
    overflow-y: auto;
}

.text-content {
    max-width: 800px;
    margin: 0 auto;
    font-size: 18px;
    color: #d1d1d1;
}

.zone {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    background-color: #3D3E45;
    border-radius: 5px;
    border: none;
    color: #fff;
}

.zone:hover {
    background-color: #383A40;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: #1E1F22;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #232428;
}

.login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
}

.login-box {
    background-color: #232428;
    padding: 30px 40px;
    border-radius: 10px;
    width: 500px;
    text-align: center;
    display: flex;
    flex-direction: column;
}

.bouton {
    background-color: #3D3E45;
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
}

.bouton:hover {
    background-color: #383A40;
}

.user {
    color: #f5f5f5;
    margin-bottom: 15px;
    font-weight: bold;
}

.logout {
    background-color: #3D3E45;
    color: #f5f5f5;
    padding: 10px 20px;
    border-radius: 5px;
    font-weight: bold;
    border-bottom: 1px solid #2B2D31;
    cursor: pointer;
    margin-bottom: 20px;
    text-decoration: none;
}

.logout:hover {
    background-color: #383A40;
}

table {
    width: 100%;
    border-radius: 10px;
    border-collapse: collapse;
}

th, td {
    padding: 10px;
    text-align: center;
    border: 1px solid #2B2D31;
}

th {
    background-color: #383A40;
    color: #fff;
    font-weight: bold;
}

td {
    background-color: #3D3E45;
    color: #d1d1d1;
}
